
RefData <- read.table (file="../Fisman-two-person.csv", header=T, sep=",")
AnzTreat <- max(RefData$Round)    # 50
AnzSubj <- max(RefData$ID)        # 76
AnzDat <- rep (AnzSubj, AnzTreat)
AnzObs <- AnzTreat * AnzSubj


RefData$Low <- 0
RefData$Up <- RefData$Max.Hold*10
RefData$Step <- 1
RefData$Rate <- RefData$Max.Pass / RefData$Max.Hold

RefData$NormHold <- round(10*RefData$Hold * RefData$Max.Hold / (RefData$Hold + RefData$Pass/RefData$Rate))
RefData$NormPass <- pmax (0, RefData$Up - RefData$NormHold)

RefData <- RefData[with(RefData, order(ID, Rate)), ]
#RefData$Treat <- 1:50

data <- matrix (RefData$NormPass, c(AnzSubj, AnzTreat), byrow=TRUE)

#round(10*RefData$Pass * RefData$Max.Hold / (RefData$Hold + RefData$Pass/RefData$Rate))

    
#DictEndow <- Up
#RecEndow <- rep(0, AnzTreat)

TransData <- t(RefData)


InTreats0 <- 1:AnzTreat ; OutTreats0 <- c()
InTreats1 <- c(1:38) ; OutTreats1 <- c(39:50)
InTreats2 <- c(1:25,39:50) ; OutTreats2 <- c(26:38)
InTreats3 <- c(1:12,26:50) ; OutTreats3 <- c(13:24)
InTreats4 <- c(13:50) ; OutTreats4 <- c(1:12)

if (exists ("OthBaseName")) sx <- strsplit (OthBaseName, split="-")[[1]]
if (1 || !exists ("OthBaseName") || sx[length(sx)] != "ole") {
  MakeCorrectCheck <- TRUE
  AlwaysReoptimize <- FALSE
  MakeRobustChecks <- TRUE
}
