
doFixPars <- TRUE

if (!exists("GetLLLog")) GetLLLog <- FALSE
GetLLLog2 <- FALSE
FLSaveRes <- FALSE
cat ("\n")

AnzTypes <- 1

if (!exists("RelFoldV")) RelFoldV <- 0

if (1 || fnameP1 %in% c("bard", "list", "harr", "fis", "garp")) { RelFoldActV <- RelFoldV
} else RelFoldActV <- 0

for (FoldNum in RelFoldActV) {

if (FoldNum==0) RelTreats <- InTreats0
if (FoldNum==1) RelTreats <- InTreats1
if (FoldNum==2) RelTreats <- InTreats2
if (FoldNum==3) RelTreats <- InTreats3
if (FoldNum==4) RelTreats <- InTreats4
    
suff <- c("", "-red", "-red2", "-red3", "-red4")[FoldNum+1]
SubsetLab <- suff

if (!exists("MakeCorrectCheck")) MakeCorrectCheck <- TRUE
if (!exists("AlwaysReoptimize")) AlwaysReoptimize <- FALSE
if (!exists("MakeRobustChecks")) MakeRobustChecks <- FALSE

for (DataSet in 3:3) {

  if (exists("FLHarrData") && !(MixMode %in% 2:5)) {
      if (0 && FoldNum==0) OthDataFile <- paste ("RData/", OthBaseName, DataSet, suff, ".Rdata", sep="")  # required to read homogeneous est
      else if (FoldNum==0) OthDataFile <- paste ("RData/", OthBaseName, suff, ".Rdata", sep="")
      else OthDataFile <- paste ("RData/", OthBaseName, ".Rdata", sep="")
      
      if (DataSet==1) data <- data1
      if (DataSet==2) data <- data2
      if (DataSet==3) data <- rbind(data1,data2)

      AnzSubj <- dim(data)[1]
  } else {
      if (FoldNum==0) OthDataFile <- paste ("RData/", OthBaseName, suff, ".Rdata", sep="")
      else OthDataFile <- paste ("RData/", baseName, ".Rdata", sep="")
#      else OthDataFile <- paste ("RData/", OthBaseName, ".Rdata", sep="")
  }
  
  DataFile <- paste ("RData/", baseName, suff, ".Rdata", sep="")
  GetLLCallArgs <- c()   
  GetLLCallVals <- c()
  if (FLSaveRes && file.exists (DataFile)) load (DataFile)

  TexFile <- paste ("../tex-pars/", baseName, suff, ".tex", sep="")
  if (file.exists (TexFile)) unlink (TexFile)

  oosTexFile <- paste ("../tex-pars/oos-", baseName, suff, ".tex", sep="")
  oosFile <- file(oosTexFile, "w")
  
  TexFile2 <- paste ("../tex-pars/bics-", baseName, suff, ".tex", sep="")
  savedBics <- rep(0, 10)

  TexFile2b <- paste ("../tex-pars/clcs-", baseName, suff, ".tex", sep="")
  savedCLC <- rep(0, 10)

  UAltr <- UCESAltr
    
  for (AnzTypes in RelAnzTypes) {
        
      OthResFile <- paste (OthDataFile, ".res", AnzTypes, sep="")
      if (!file.exists(OthResFile)) {
        cat (OthResFile, "does not exist\n")
        next
      }
      load (OthResFile)

      if (exists("FLBardData") && AnzTypes==3) {
          nr <- res$estimate[1:6+6]
          res$estimate[1:6+6] <- res$estimate[1:6+12]
          res$estimate[1:6+12] <- nr
      }

      sp <- c()
      anzP <- length(res$estimate)/AnzTypes-1

      if (FoldNum!=0 && AnzTypePars==anzP) {
          sp <- res$estimate
      } else if (AnzTypePars < anzP) {
          for (a in 1:AnzTypes)
              sp <- c (sp, res$estimate[1:(AnzTypePars+1)+(a-1)*(AnzTypePars+1)])
      } else if (AnzTypePars==7 && anzP==5) {
          for (a in 1:AnzTypes)
              sp <- c (sp, res$estimate[1:(5+1)+(a-1)*(5+1)], res$estimate[5:6+(a-1)*(5+1)]/2)
      } else if (AnzTypePars==7 && anzP==7) {
          for (a in 1:AnzTypes) {
              pv <- 1:(7+1)+(a-1)*(7+1)
              pv2 <- res$estimate[pv]
              if (exists("ResetRho")) pv2[3] <- ResetRho
              sp <- c (sp, pv2)
          }
      } else if (MixMode==2 && AnzTypePars==8 && anzP==7) {
          for (a in 1:AnzTypes) {
              pv <- 1:(7+1)+(a-1)*(7+1)
              sp <- c (sp, res$estimate[pv], res$estimate[pv[2]]/2)
          }
      } else if (MixMode==2 && AnzTypePars==8 && anzP==8) {
          for (a in 1:AnzTypes) {
              pv <- 1:(8+1)+(a-1)*(8+1)
              sp <- c (sp, res$estimate[pv])
          }
      } else if (MixMode==3 && AnzTypePars==8 && anzP==7) {
          for (a in 1:AnzTypes) {
              pv <- res$estimate[1:(7+1)+(a-1)*(7+1)]
              pv <- c (pv, pv[2]/2)
              if (pv[2]>0 && (a %in% MixTypesV || a == AnzTypes)) {
	          if (!exists("extCallScheme") || extCallScheme<3) { pv[9] <- pv[9]/3 ; pv[2] <- log (pv[2]) }
                  else { pv[2] <- pv[2] ; pv[9] <- pv[9] }
	      }
              sp <- c (sp, pv)
          }
      } else if (MixMode==3 && AnzTypePars==8 && anzP==8) {
          for (a in 1:AnzTypes) {
              pv <- res$estimate[1:(8+1)+(a-1)*(8+1)]
              if (pv[2]>0 && (a %in% MixTypesV || a == AnzTypes)) {
	          if (!exists("extCallScheme") || extCallScheme %in% c(1,2,5,7,9,11,13)) {
                      pv[9] <- pv[9]/3 ; pv[2] <- log (pv[2])
                  } else { pv[2] <- pv[2] ; pv[9] <- pv[9] }
	      }
              sp <- c (sp, pv)
          }
      } else if (MixMode==4) {
          for (a in 1:AnzTypes) {
              pv <- res$estimate[1:(8+1)+(a-1)*(8+1)]
              pv[4] <- 0.1
              sp <- c (sp, pv)
          }
      } else if (MixMode==5) {
          for (a in 1:AnzTypes) {
              pv <- res$estimate[1:(8+1)+(a-1)*(8+1)]
              pv[2] <- exp(pv[2])
              sp <- c (sp, pv)
          }
      } else {
          cat ("MixMode", MixMode, " -- res$est:", res$estimate, "\n")
          XXX_MixMode
      }

      ParMin <- rep(baseParMin, AnzTypes)
      ParMax <- rep(baseParMax, AnzTypes)
      sp <- pmin (ParMax, pmax (sp))
      
      parFac <- 1
      if (1) {
        ll <- GetLL (sp)
        cat ("AnzTypes =", AnzTypes, " \t=> ll =", ll, "\nsp <- c(", paste(round(sp, digits=3), collapse=","), ")\n\n")

        cat (" &", round(ll, digits=0), file=oosFile)
      }

      if (AnzTypes==1) ap <- ap1
      else if (AnzTypes==2) ap <- ap2
      else if (AnzTypes==3) ap <- ap3
      else if (AnzTypes==4) ap <- ap4
      else if (AnzTypes==5) ap <- ap5
      else if (AnzTypes==6) ap <- ap6
      else if (AnzTypes==7) ap <- ap7
      else ap <- ap8

      if (1) {
          source ("../garp-optim.R")
          PrintStuff (res)

          old <- res$estimate
      }
  }

  close (oosFile)
}

bicOut <- paste (round(savedBics[1:AnzTypes]), collapse=" & ")
zz <- file(TexFile2, "w")
cat(bicOut, file = zz)
close(zz)

bicOut <- paste (round(savedCLC[1:AnzTypes]), collapse=" & ")
zz <- file(TexFile2b, "w")
cat(bicOut, file = zz)
close(zz)
}
