
if (FoldNum==0) RelTreats <- InTreats0
if (FoldNum==1) RelTreats <- InTreats1
if (FoldNum==2) RelTreats <- InTreats2
if (FoldNum==3) RelTreats <- InTreats3
if (FoldNum==4) RelTreats <- InTreats4

doFixPars <- TRUE

GetLLLog <- FALSE
GetLLLog2 <- FALSE
FLSaveRes <- FALSE
cat ("\n")

AnzTypes <- 1

suff <- c("", "-red", "-red2", "-red3", "-red4")[FoldNum+1]
SubsetLab <- suff

for (DataSet in 3:3) {
    
#  OthDataFile <- paste ("RData/", OthBaseName, suff, ".Rdata", sep="")
  OthDataFile <- paste ("RData/", OthBaseName, ".Rdata", sep="")
  
  DataFile <- paste ("RData/", baseName, ifelse (exists("FLHarrData"), DataSet, ""), suff, ".Rdata", sep="")
  GetLLCallArgs <- c()   
  GetLLCallVals <- c()
  if (FLSaveRes && file.exists (DataFile)) load (DataFile)

  TexFile <- paste ("../tex-pars/", baseName, ifelse (exists("FLHarrData"), DataSet, ""), ".tex", sep="")
  if (file.exists (TexFile)) unlink (TexFile)

  oosTexFile <- paste ("../tex-pars/oos-", baseName, ifelse (exists("FLHarrData"), DataSet, ""), ".tex", sep="")
  oosFile <- file(oosTexFile, "w")
  
  TexFile2 <- paste ("../tex-pars/bics-", baseName, ifelse (exists("FLHarrData"), DataSet, ""), ".tex", sep="")
  savedBics <- rep(0, 10)

  TexFile2b <- paste ("../tex-pars/clcs-", baseName, ifelse (exists("FLHarrData"), DataSet, ""), ".tex", sep="")
  savedCLC <- rep(0, 10)
  
  UAltr <- UCESAltr

  if (exists("FLHarrData")) {
      if (DataSet==1) data <- data1
      if (DataSet==2) data <- data2
      if (DataSet==3) data <- rbind(data1,data2)
      
      AnzSubj <- dim(data)[1]
  }
  
    
  for (AnzTypes in 1:1) {
        
      OthResFile <- paste (OthDataFile, ".res", AnzTypes, sep="")
      if (!file.exists(OthResFile)) next
      load (OthResFile)

      parFac <- 1
      sp <- res$estimate
      pp <- (1:AnzTypes - 1) * (AnzTypePars+1)
      if (!exists("FLHarrData")) {
          sp[pp+2] <- sp[pp+2]*10
#          sp[pp+3] <- 0.0
#          sp[pp+4] <- 0.001
          sp[pp+6] <- pmax (-10, sp[pp+6])
#          if (AnzTypes==1) sp[pp+5] <- -0.1
      }
      ll <- GetLL (sp)
      cat ("AnzTypes =", AnzTypes, " \t=> ll =", ll, "\nsp <- c(", paste(round(sp, digits=3), collapse=","), ")\n\n")

      cat (" &", round(ll, digits=0), file=oosFile)


      if (AnzTypes==1) ap <- ap1
      else if (AnzTypes==2) ap <- ap2
      else if (AnzTypes==3) ap <- ap3
      else if (AnzTypes==4) ap <- ap4
      else if (AnzTypes==5) ap <- ap5
      else if (AnzTypes==6) ap <- ap6
      else if (AnzTypes==7) ap <- ap7
      else ap <- ap8
      
#      ap <- sp

      if (1) {
          source ("../garp-optim.R")
          PrintStuff (res)

          old <- res$estimate
      }
  }

  close (oosFile)
}

bicOut <- paste (round(savedBics[1:AnzTypes]), collapse=" & ")
zz <- file(TexFile2, "w")
cat(bicOut, file = zz)
close(zz)

bicOut <- paste (round(savedCLC[1:AnzTypes]), collapse=" & ")
zz <- file(TexFile2b, "w")
cat(bicOut, file = zz)
close(zz)

