
if (!exists ("CappFullStratSpace")) CappFullStratSpace <- TRUE

if (file.exists("../capp.csv")) {
    RefData <- read.table (file="../capp.csv", sep=",")
} else RefData <- read.table (file="capp.csv", sep=",")

AnzTreat <- 6
AnzSubj <- max(RefData$ID)        # 96
AnzDat <- rep (AnzSubj, AnzTreat)
AnzObs <- length(RefData$Max.Hold)

RefData$Low <- 0
RefData$Up <- RefData$Max.Hold / ifelse (CappFullStratSpace, 1, 50)
RefData$Step <- 1
RefData$Rate <- RefData$Max.Pass / RefData$Max.Hold

RefData$NormHold <- RefData$Hold / ifelse (CappFullStratSpace, 1, 50)
RefData$NormPass <- RefData$Pass / ifelse (CappFullStratSpace, 1, 50)

TransData <- t(RefData)
data <- RefData$NormPass

InTreats0 <- 1:AnzTreat ; OutTreats0 <- c()
InTreats1 <- c(1:4) ; OutTreats1 <- c(5:6)
InTreats2 <- c(1:2,5:6) ; OutTreats2 <- c(3:4)
InTreats3 <- c(3:6) ; OutTreats3 <- c(1:2)

#InTreats4 <- c(3:6) ; OutTreats4 <- c(1:2)

rm(list=ls(pattern="Up"))
rm(list=ls(pattern="Low"))


if (1 || !exists ("OthBaseName") || strsplit (OthBaseName, split="-")[[1]][3] != "ole") {
  MakeCorrectCheck <- TRUE
  AlwaysReoptimize <- FALSE
  MakeRobustChecks <- TRUE
}
