 
source ("../capp-data.R")
source ("../capp-input.R")

M <- 0

MixMode <- 0 ; Moderate <- 0

AnzTypePars <- 5
if (!exists ("RelAnzTypes")) RelAnzTypes <- 1:5

baseName <- "capp-logit"
UAltr <- UCESAltr


GetTypeStrat <- function (pars, subj, treat, GetUtil=UAltr) { # Neglects high precision arithmetics --> sufficiently precise with mult.\ logit

#  cat ("GetTypeStrat (", round(pars, digits=5), ")\n")
  
#  AnzStrats <- (Up[treat] - Low[treat]) / Step[treat] + 1
  lineNr <- (1:length(RefData$Up))[RefData$Treat==treat & RefData$ID==subj]
  AnzStrats <- RefData$Up[lineNr] + 1
    
  lambda <- pars[1]
#  rho <- pars[2]
#  sigma <- pars[3]
  alpha <- pars[4:5]
  
  utils <- rep (0, AnzStrats)
  for (strat in 1:AnzStrats)
    utils[strat] <- lambda * UCESAltr(strat, alpha, lineNr, treat)

  print (pars)
  print (alpha)
#  print (utils)
    
  utils <- utils - max (utils)
    
  P <- exp(utils)/sum(exp(utils))
#  if (abs(sum(P)-1)>.001) cat (subj, treat, ":", round (P, digits=3), " => Sum =", sum(P), "\n")
  
  return (P)
}

source ("../inc-GetTypeStrat.R")
GetTypeStrat <- GetTypeStratLogit


baseParMin <- c(0, 0, 0.01, 0.3, -1, -15)
baseParMax <- c(1, 1000, 10, 1000, 1, 15)


fnameP1 <- "capp"
fnameP2 <- "logit/ole-input.R"
