
library (Rcpp)
library (minqa)

cat ("My pid:", Sys.getpid (), "\n\n")

if (!exists("FoldNum")) FoldNum <- SubsetNum

if (SubsetNum==0) RelTreats <- InTreats0
if (SubsetNum==1) RelTreats <- InTreats1
if (SubsetNum==2) RelTreats <- InTreats2
if (SubsetNum==3) RelTreats <- InTreats3
if (SubsetNum==4) RelTreats <- InTreats4

doFixPars <- TRUE


GetLLLog <- FALSE
GetLLLog2 <- FALSE
FLSaveRes <- FALSE
cat ("\n")


AnzTypes <- 1
if (!exists("AnzTypePars")) AnzTypePars <- 5
if (!exists("RelAnzTypes")) RelAnzTypes <- 1:8


SubsetLab <- c("", "-red", "-red2", "-red3", "-red4")[SubsetNum+1]
DataFile <- paste ("RData/", BaseLab, SubsetLab, ".Rdata", sep="")
GetLLCallArgs <- c()   
GetLLCallVals <- c()
if (FLSaveRes && file.exists (DataFile)) load (DataFile)

TexFile <- paste ("../tex-pars/", BaseLab, SubsetLab, ".tex", sep="")
if (file.exists (TexFile)) unlink (TexFile)

TexFile2 <- paste ("../tex-pars/bics-", BaseLab, SubsetLab, ".tex", sep="")
savedBics <- rep(0, 10)

TexFile2b <- paste ("../tex-pars/clcs-", BaseLab, SubsetLab, ".tex", sep="")
savedCLC <- rep(0, 10)

UAltr <- UCESAltr

PrevRes <- array("ab", c(7,7))
if (1) {
  for (AnzTypes in RelAnzTypes) {
    if (AnzTypes==1) sp <- sp1
    else if (AnzTypes==2) sp <- sp2
    else if (AnzTypes==3) sp <- sp3
    else if (AnzTypes==4) sp <- sp4
    else if (AnzTypes==5) sp <- sp5
    else if (AnzTypes==6) sp <- sp6
    else if (AnzTypes==7) sp <- sp7
    else sp <- c(old, c(0.1, 0.3, 0.2, 1, 0.4, 0.6) + c(0, runif (AnzTypePars, min=-0.1, max=0.1)))
      
    if (AnzTypes==1) ap <- ap1
    else if (AnzTypes==2) ap <- ap2
    else if (AnzTypes==3) ap <- ap3
    else if (AnzTypes==4) ap <- ap4
    else if (AnzTypes==5) ap <- ap5
    else if (AnzTypes==6) ap <- ap6
    else if (AnzTypes==7) ap <- ap7
    else ap <- c(0)

#    sp[4 + (1:AnzTypes - 1) * (AnzTypePars+1)] <- 0.3
    
    source ("../garp-optim.R")
    PrintStuff (res)
    
    old <- res$estimate
  }
}

bicOut <- paste (round(savedBics[1:AnzTypes]), collapse=" & ")
zz <- file(TexFile2, "w")
cat(bicOut, file = zz)
close(zz)

bicOut <- paste (round(savedCLC[1:AnzTypes]), collapse=" & ")
zz <- file(TexFile2b, "w")
cat(bicOut, file = zz)
close(zz)

