
AnzSubj <- 28   # will be correct below
AnzTreat <- 10

AnzDat <- rep (AnzSubj, AnzTreat)
FullData <- read.table (file="../altruism.csv", header=T, sep=",")
dat <- data.frame(id=FullData$id, tr=FullData$decision, cond=FullData$treat, resp=FullData$peasant, d=FullData$dec, endow=FullData$endow, self=FullData$self, other=FullData$other)


Low <-  rep(0, AnzTreat)
Step <- dat$self[1:AnzTreat] / 10
Rate <- dat$other[1:AnzTreat] / dat$self[1:AnzTreat]
Up <- dat$endow[1:AnzTreat] * Step
DictEndow <- Up
RecEndow <- rep(0, AnzTreat)

NumToken <- Up / Step
ValMe <- Step
ValOpp <- Step * Rate



dat1 <- dat[dat$cond=="o" & dat$resp==0,]
SubjV1 <- levels(as.factor( (dat1$id)))
AnzSubj1 <- length(SubjV1)
data1 <- array (0, c(AnzSubj1, AnzTreat))

for (i in 1:AnzSubj1) {
    s <- SubjV1[i]
    d <- dat1$endow[dat1$id==s] - dat1$d[dat1$id==s]
    data1[i,] <- as.double (d)
}

dat2 <- dat[dat$cond=="oc" & dat$resp==0,]
SubjV2 <- levels(as.factor( (dat2$id)))
AnzSubj2 <- length(SubjV2)
data2 <- array (0, c(AnzSubj2, AnzTreat))

for (i in 1:AnzSubj2) {
    s <- SubjV2[i]
    d <- dat2$endow[dat2$id==s] - dat2$d[dat2$id==s]
    data2[i,] <- as.double (d)
}

data <- rbind(data1,data2)
AnzSubj <- dim(data)[1]
AnzObs <- AnzTreat * AnzSubj


InTreats0 <- 1:10 ; OutTreats0 <- c()
InTreats1 <- 4:10 ; OutTreats1 <- 1:3
InTreats2 <- c(1:3,7:10) ; OutTreats2 <- 4:6
InTreats3 <- c(1:6,9:10) ; OutTreats3 <- 7:8
InTreats4 <- c(1:8) ; OutTreats4 <- 9:10

FLHarrData <- TRUE

if (exists ("OthBaseName")) sx <- strsplit (OthBaseName, split="-")[[1]]
if (1 || !exists ("OthBaseName") || sx[length(sx)] != "ole") {
  MakeCorrectCheck <- TRUE
  AlwaysReoptimize <- FALSE
  MakeRobustChecks <- TRUE
}
